#!/bin/bash

# could be more succinct in places but it works

source ./cdecho.sh

# retrieve dotfiles
cde $HOME/src
git clone https://github.com/devenblake/dotfiles.git
cde dotfiles

# unscii
curl http://pelulamu.net/unscii/unscii-16-full.ttf -o $HOME/.local/share/fonts/unscii-16-full.ttf
fc-cache

# basic configs
cp {.Xresources,.aliases,.bashrc,.profile} $HOME/

# dmenu
cde $HOME/src
if [ git clone https://git.suckless.org/dmenu ]; then
	cde dmenu
	cp $HOME/dotfiles/src/dmenu/config.h ./
	make
	[ "Yes." = $(printf "No.\nYes." | ./dmenu -p "Install dmenu?") ] && sudo make install
fi

# i3wm
mkdir -p $HOME/.config/i3
mkdir $HOME/.config/i3status
cde $HOME/.config/
cp $HOME/src/dotfiles/.config/i3/config i3/
cp $HOME/src/dotfiles/.config/i3status/config i3status/

# winamp skin (checks to see if audacious is installed first)
sudo mkdir -p /usr/share/audacious/Skins/
which audacious && sudo curl https://archive.org/download/winampskin_Sailor_Moon_Gang/Sailor_Moon_Gang.wsz -o /usr/share/audacious/Skins/Sailor_Moon_Gang.wsz

# wallpaper
cde $HOME
mkdir -p $HOME/Pictures/Wallpapers
curl https://ia801502.us.archive.org/3/items/asuka-98/Asuka%2098.jpg -o Pictures/Wallpapers/Asuka\ 98.jpg || printf "[ERROR] Could not curl wallpaper.\n"

xrdb -load .Xresources
